#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              2.2.1.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-2.2.1.0-HKkXG5reQk6esfelUnb2N-tasty-sugar-internal

key:
    tasty-sugar-2.2.1.0-HKkXG5reQk6esfelUnb2N-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  ecd03a2a263c7523cbd79462f6250c8b
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.Candidates Test.Tasty.Sugar.ExpectCheck
    Test.Tasty.Sugar.Iterations Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Ranged Test.Tasty.Sugar.Report
    Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:
    HStasty-sugar-2.2.1.0-HKkXG5reQk6esfelUnb2N-tasty-sugar-internal

depends:
    base-4.17.2.1 containers-0.6.7 directory-1.3.7.1
    filemanip-0.3.6.3-CiDGfXA04QKCv9d5A5kg5 filepath-1.4.2.2
    kvitable-1.0.3.0-HdYvQAMBlrTJAx7plq2EbV
    logict-0.7.1.0-C4tSuNwZfOS3ZG0yR4W2gY
    microlens-0.4.13.1-BCmTOusOWAwKF1xfvNhRYd mtl-2.2.2
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-1mtUJkMbjCVDzlnVNJCKdo text-2.0.2

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 tasty-sugar
version:              2.2.1.0
visibility:           public
id:                   tasty-sugar-2.2.1.0-JgFS2TObbkXFnJ0trLXsiw
key:                  tasty-sugar-2.2.1.0-JgFS2TObbkXFnJ0trLXsiw
license:              ISC
copyright:            Kevin Quick
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  5c76d538ced53a65b1627871b0f0ce41
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/tasty-sugar-2.2.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:         HStasty-sugar-2.2.1.0-JgFS2TObbkXFnJ0trLXsiw
depends:
    base-4.17.2.1 containers-0.6.7 directory-1.3.7.1
    filemanip-0.3.6.3-CiDGfXA04QKCv9d5A5kg5 filepath-1.4.2.2
    logict-0.7.1.0-C4tSuNwZfOS3ZG0yR4W2gY
    optparse-applicative-0.17.1.0-3DJFXm9vTXK45PcUNAvg30
    prettyprinter-1.7.1-1mtUJkMbjCVDzlnVNJCKdo
    tasty-1.4.3-JWgtmH8HRApC8iIJFXnCPD
    tasty-sugar-2.2.1.0-HKkXG5reQk6esfelUnb2N-tasty-sugar-internal
    text-2.0.2

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

